* {
    padding: 0;
    margin: 0;
    font-family: "Poppins";
    transition: .5s;
    box-sizing: border-box;
}

body {
    background-color: rgb(52, 52, 52);
}

.container {
    display: grid;
    grid-template-columns: auto auto auto;
    width: fit-content;
    grid-row-gap: 2%;
    grid-column-gap: 2%;
}

.container button {
    width: 150px;
    height: 150px;
    border: none;
    outline: none;
    font-size: 30px;
    background-color: grey;
    box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.3);
    font-weight: bold;
}

.container button:active {
    transform: scale(80%);
}

.container button:disabled {
    background-color: grey;
    color: white;
}

.clicked {
    background: blue;
    color: white;
}

.rand {
    background: rgb(52, 52, 52);
}

.full {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 70vh;
}

.container button:nth-child(1) {
    border-top-left-radius: 10px;
}

.container button:nth-child(9) {
    border-bottom-right-radius: 10px;
}

.container button:nth-child(7) {
    border-bottom-left-radius: 10px;
}

.container button:nth-child(3) {
    border-top-right-radius: 10px;
}

.head {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
}

.head h3 {
    font-size: 25px;
    color: white;
}

.score span {
    margin: 20px;
    font-size: 30px;
    font-weight: bold;
    color: white;
}

.score span:nth-child(1) {
    border-right: 1px solid grey;
    padding-right: 30px;
}

.message h3 {
    font-size: 40px;
    color: rgb(0, 196, 0);
    text-align: center;
    display: none;
}

@media (max-width:600px) {
    .head {
        padding: 15px;
    }
    .head h3 {
        font-size: 15px;
    }
    .head span {
        font-size: 15px;
        padding-right: 5px;
    }
    .score span:nth-child(1) {
        margin: 0;
        padding-right: 10px;
    }
    .container button {
        width: 90px;
        height: 90px;
    }
}

@media (max-width:400px) {
    .head h3 {
        font-size: 10px;
    }
    .head span {
        font-size: 10px;
    }
    .container button {
        width: 80px;
        height: 80px;
    }
}